Fetch Profile

The Fetch Profile API is designed to simplify access to detailed company information. By entering a Corporate Identification Number (CIN), you can retrieve comprehensive details about the specified company.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMY

Request Parameters

Parameter NameTypeRequirementDescription
companyIdentityNumberStringMandatoryCIN Number
latitudeStringMandatoryLocation Latitude
longitudeStringMandatoryLocation Longitude
externalRefStringMandatoryUnique Transaction Id
consentStringMandatoryIt will be Y

Sample Request

curl --location 'https://api.instantpay.in/identity/company/lookup' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--data '{
    "companyIdentityNumber" : "U92100TN2015PTC102877",
    "latitude" : "0.00",
    "longitude" : "0.00",
    "externalRef" : "djfodf",
    "consent" : "Y"
}'
POST /identity/company/lookup HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 45.115.105.205
Content-Length: 159

{
    "companyIdentityNumber" : "U92100TN2015PTC102877",
    "latitude" : "0.00",
    "longitude" : "0.00",
    "externalRef" : "djfodf",
    "consent" : "Y"
}

Response Parameters

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusArrayStatus message
dataStringResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Data Fetched Successful",
    "data": {
        "poolReferenceId": "1230717101848FBSEZ",
        "pool": {
            "openingBal": "96186.73",
            "amount": "5.90",
            "closingBal": "96180.83"
        },
        "companyData": {
            "fllpin": "FZZZ-9999",
            "foreignLlpName": "Business Name",
            "countryOfIncorporation": "IN",
            "numberOfAuthorisedRepresentatives": "",
            "dateOfIncorporation": "-",
            "registeredAddress": "Full Address",
            "emailId": "Email ID",
            "typeOfOffice": "ROC",
            "details": "",
            "mainDivisionOfBusinessActivityToBeCarriedOutInIndia": "29",
            "descriptionOfMainDivision": "Manufacture of machinery and equipment N.E.C.",
            "dateOfLastFinancialYearEndDateForWhichStatementOfAccountsAndSolvencyFiled": "-",
            "fllpStatus": "INACTIVE",
            "directors": [
                {
                    "dinPan": "05269777",
                    "name": "Sample Name",
                    "beginDate": "26/10/2012",
                    "endDate": "-",
                    "surrenderedDin": "NO"
                },
                {
                    "dinPan": "06378793",
                    "name": "Sample Name",
                    "beginDate": "26/10/2012",
                    "endDate": "-",
                    "surrenderedDin": "NO"
                }
            ]
        }
    },
    "timestamp": "2023-07-17 10:18:48",
    "ipay_uuid": "h00099aa59f4-fabb-47fd-821c-b2d39ce2a858",
    "orderid": "1230717101848FBSEZ",
    "environment": "SANDBOX",
    "internalCode": null
}
Body Params
string

name of the company

Headers
string
Defaults to 1

Auth Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json